/{organizationId}/{mandateId}/sales/products/{productId}/componentsGet product components
Returns the regular product components used for inventory handling
Required permissions:
mandate.read
product.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired productIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/sales/products/{productId}/components' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
quantitynumberrequired exclusiveMinimum: 0
Response
[
{
"product": {
"_id": "000000000000000000000001",
"organization": "000000000000000000000001",
"mandate": "000000000000000000000001",
"number": "string",
"name": "string",
"description": "string",
"category": "000000000000000000000001",
"image": {
"resource": "string"
},
"active": true,
"calculatedPrice": {
"priceNet": 0,
"priceGross": 0
},
"type": "regular",
"unit": {
"type": "default",
"value": "piece"
},
"price": {
"isNet": true,
"price": 0,
"taxCode": "string",
"account": 1,
"costCenter1": 1,
"costCenter2": 1
},
"inventoryMode": "unlimited",
"salesPeriodInitialCapacity": 0
},
"quantity": 1
}
]400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}